libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_bitrate_addblock

declared in "vorbis/codec.h";

This fuction submits a transformed block to the bitrate management engine for final encoding. Packets are buffered and the packet boundaries adjusted and padded to meet the target bitrate, if any.

After calling vorbis_bitrate_addblock(), the passed vorbis_block structure can be reused in another call to vorbis_analysis_blockout(). Call vorbis_bitrate_flushpacket() to obtain the final compressed data.

    extern int      vorbis_bitrate_addblock(vorbis_block *vb);

### Parameters

vb
  Pointer to the vorbis_block to be submitted.

### Return Values

- 0 for success.
- negative values for failure:
  - OV_EINVAL - Invalid parameters.
  - OV_EFAULT - Internal fault; indicates a bug or memory corruption.
  - OV_EIMPL - Unimplemented; not supported by this version of the library.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101